org.apache.lucene.analysis.uima

## Class UIMATypeAwareAnnotationsTokenizer

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.uima.BaseUIMATokenizer
        - - org.apache.lucene.analysis.uima.UIMATypeAwareAnnotationsTokenizer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class UIMATypeAwareAnnotationsTokenizer
      extends BaseUIMATokenizer

  A `Tokenizer` which creates token from UIMA Annotations filling also their `TypeAttribute` according to `FeaturePath`s specified

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.uima.BaseUIMATokenizer

      `ae, cas, iterator`

    - ### Fields inherited from class org.apache.lucene.analysis.Tokenizer

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMATypeAwareAnnotationsTokenizer(String descriptorPath, String tokenType, String typeAttributeFeaturePath, Map<String,Object> configurationParameters)`
    `UIMATypeAwareAnnotationsTokenizer(String descriptorPath, String tokenType, String typeAttributeFeaturePath, Map<String,Object> configurationParameters, AttributeFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()`
    `boolean` | `incrementToken()`
    `protected void` | `initializeIterator()` initialize the FSIterator which is used to build tokens at each incrementToken() method call

    - ### Methods inherited from class org.apache.lucene.analysis.uima.BaseUIMATokenizer

      `analyzeInput, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.Tokenizer

      `close, correctOffset, setReader`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UIMATypeAwareAnnotationsTokenizer

          public UIMATypeAwareAnnotationsTokenizer(String descriptorPath,
                                                   String tokenType,
                                                   String typeAttributeFeaturePath,
                                                   Map<String,Object> configurationParameters)

    - #### UIMATypeAwareAnnotationsTokenizer

          public UIMATypeAwareAnnotationsTokenizer(String descriptorPath,
                                                   String tokenType,
                                                   String typeAttributeFeaturePath,
                                                   Map<String,Object> configurationParameters,
                                                   AttributeFactory factory)

  - ### Method Detail

    - #### initializeIterator

          protected void initializeIterator()
                                     throws IOException

      Description copied from class: `BaseUIMATokenizer`
      initialize the FSIterator which is used to build tokens at each incrementToken() method call
      Specified by:
        `initializeIterator` in class `BaseUIMATokenizer`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

    - #### end

          public void end()
                   throws IOException

      Overrides:
        `end` in class `TokenStream`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.